org.apache.solr.common.cloud

## Class SecurityAwareZkACLProvider

- java.lang.Object
- - org.apache.solr.common.cloud.SecurityAwareZkACLProvider

- All Implemented Interfaces:
    ZkACLProvider
  Direct Known Subclasses:
    SaslZkACLProvider, VMParamsAllAndReadonlyDigestZkACLProvider

      public abstract class SecurityAwareZkACLProvider
      extends Object
      implements ZkACLProvider

  `ZkACLProvider` capable of returning a different set of `ACL`s for security-related znodes (default: subtree under /security) vs non-security-related znodes.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static String` | `SECURITY_ZNODE_PATH`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SecurityAwareZkACLProvider()`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `protected abstract List<org.apache.zookeeper.data.ACL>` | `createNonSecurityACLsToAdd()`
    `protected abstract List<org.apache.zookeeper.data.ACL>` | `createSecurityACLsToAdd()`
    `List<org.apache.zookeeper.data.ACL>` | `getACLsToAdd(String zNodePath)`
    `protected boolean` | `isSecurityZNodePath(String zNodePath)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### SECURITY_ZNODE_PATH

          public static final String SECURITY_ZNODE_PATH

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### SecurityAwareZkACLProvider

          public SecurityAwareZkACLProvider()

  - ### Method Detail

    - #### getACLsToAdd

          public List<org.apache.zookeeper.data.ACL> getACLsToAdd(String zNodePath)

      Specified by:
        `getACLsToAdd` in interface `ZkACLProvider`

    - #### isSecurityZNodePath

          protected boolean isSecurityZNodePath(String zNodePath)

    - #### createNonSecurityACLsToAdd

          protected abstract List<org.apache.zookeeper.data.ACL> createNonSecurityACLsToAdd()

      Returns:
        Set of ACLs to return for non-security related znodes

    - #### createSecurityACLsToAdd

          protected abstract List<org.apache.zookeeper.data.ACL> createSecurityACLsToAdd()

      Returns:
        Set of ACLs to return security-related znodes

Copyright © 2000-2016 Apache Software Foundation. All Rights Reserved.